
########## Tcl recorder starts at 11/24/05 12:21:46 ##########

set version "5.0"
set proj_dir "M:/docencia/ed/ed_exercicis/05_06_q1/1bt4/ed_ex9/projecte_desc_columnes_isplever"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]

switch $tcl_platform(platform) {
   windows {
      set fpga_bin [file join $fpga_dir "bin" "nt"]
	     if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
	        set env(PATH) "$fpga_bin;$env(PATH)" } }
   unix {
      set fpga_bin [file join $fpga_dir "bin" "sol"]
      if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
         set env(PATH) "$fpga_bin;$env(PATH)"}}}

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:21:46 ###########


########## Tcl recorder starts at 11/24/05 12:35:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:35:08 ###########


########## Tcl recorder starts at 11/24/05 12:35:41 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:35:41 ###########


########## Tcl recorder starts at 11/24/05 12:35:46 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" dec_files.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" dec_files.bl3 -pla -o dec_files.tt2 -dev p22v10g -define n -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" dec_files.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" dec_files.tt3 -dev p22v10g -o dec_files.jed -ivec noinput.tmv -rep dec_files.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:35:46 ###########


########## Tcl recorder starts at 11/24/05 12:37:11 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:37:11 ###########


########## Tcl recorder starts at 11/24/05 12:37:12 ##########

# Commands to make the Process: 
# Link Design
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:37:12 ###########


########## Tcl recorder starts at 11/24/05 12:37:39 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:37:39 ###########


########## Tcl recorder starts at 11/24/05 12:37:40 ##########

# Commands to make the Process: 
# Link Design
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:37:40 ###########


########## Tcl recorder starts at 11/24/05 12:39:01 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:39:01 ###########


########## Tcl recorder starts at 11/24/05 12:39:02 ##########

# Commands to make the Process: 
# Link Design
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:39:02 ###########


########## Tcl recorder starts at 11/24/05 12:39:50 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" \"dec_files.vhd\" -o \"dec_files.jhd\" -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:39:50 ###########


########## Tcl recorder starts at 11/24/05 12:39:51 ##########

# Commands to make the Process: 
# Linked Equations
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" \"dec_files.bl2\" -o \"dec_files.eq2\" -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:39:51 ###########


########## Tcl recorder starts at 11/24/05 12:40:53 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" dec_files.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" dec_files.bl3 -pla -o dec_files.tt2 -dev p22v10g -define n -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" dec_files.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" dec_files.tt3 -dev p22v10g -o dec_files.jed -ivec noinput.tmv -rep dec_files.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:40:53 ###########


########## Tcl recorder starts at 11/24/05 12:44:00 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" dec_files.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" dec_files.bl3 -pla -o dec_files.tt2 -dev p16v8 -define n -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" dec_files.tt2 -dev p16v8 -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" dec_files.tt3 -dev p16v8 -o dec_files.jed -ivec noinput.tmv -rep dec_files.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 12:44:00 ###########


########## Tcl recorder starts at 11/24/05 14:54:17 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open dec_files.cmd w} rspFile] {
	puts stderr "Cannot create response file dec_files.cmd: $rspFile"
} else {
	puts $rspFile "PROJECT: dec_files
working_path: \"$proj_dir\"
module: dec_files
vhdl_file_list: dec_files.vhd
output_file_name: dec_files
suffix_name: edi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/synpwrap\" -e dec_files -target ispgal"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dec_files.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf \"dec_files.edi\" -out \"dec_files.bl0\" -err automake.err -log \"dec_files.log\" -prj dec_files -lib \"$install_dir/ispcpld/dat/mach.edn\" -cvt yes -net_vcc vcc -net_gnd gnd -nbx -dse -tlw"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" \"dec_files.bl0\" -red bypin choose -collapse -pterms 8 -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblflink\" \"dec_files.bl1\" -o \"dec_files.bl2\" -omod dec_files -family -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/iblifopt\" dec_files.bl2 -red bypin choose -sweep -collapse all -pterms 8 -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/idiofft\" dec_files.bl3 -pla -o dec_files.tt2 -dev p22v10g -define n -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fit\" dec_files.tt2 -dev p22v10g -str -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/fuseasm\" dec_files.tt3 -dev p22v10g -o dec_files.jed -ivec noinput.tmv -rep dec_files.rpt -doc brief -con ptblown -for brief -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/24/05 14:54:17 ###########

