-- Descodificador de files per la patriu de punts

LIBRARY IEEE;
USE  IEEE.STD_LOGIC_1164.ALL;

ENTITY dec_files IS
	PORT (
		A	: IN 	STD_LOGIC_VECTOR(3 DOWNTO 0); 
		F_L	: OUT 	STD_LOGIC_VECTOR(6 DOWNTO 0)
	);

END dec_files;

	-- Descripci de l'arquitectura del bloc a partir de la TdV (alt nivell)

ARCHITECTURE Arch_Taula_Veritat OF dec_files IS
BEGIN
	PROCESS (A)  
		BEGIN
			CASE A IS
	       	   		-- A3,A2,A1,A0   F6 F5 F4 F3 F2 F1 F0        
-- 		El NOT representa sortides actives a nivell baix
--		Amb A3 es canvia de "carcter" a representar
-- Carcter Direcci dreta ->
				WHEN "0000" =>       		-- Columna 0
					F_L <= NOT("1100011");
				WHEN "0001" =>       		-- Columna 1
					F_L <= NOT("1110111");
				WHEN "0010" =>       		-- Columna 2
					F_L <= NOT("0111110");
				WHEN "0011" =>       		-- Columna 3
					F_L <= NOT("0011100");
				WHEN "0100" =>       		-- Columna 4
					F_L <= NOT("0001000");
-- Carcter direcci esquerra <-
				WHEN "1000" =>       		
					F_L <= NOT("0001000");
				WHEN "1001" =>       		
					F_L <= NOT("0011100");
				WHEN "1010" =>       		
					F_L <= NOT("0111110");
				WHEN "1011" =>       		
					F_L <= NOT("1110111");
				WHEN "1100" =>       		
					F_L <= NOT("1100011");
				WHEN OTHERS => 
					F_L <= NOT("0000000"); --Apagat		
			END CASE;
	END PROCESS;
			 		   	 		 		   	   
END Arch_Taula_Veritat;

